!
! Copyright (c) 2000-2013 Yoshihide Yoshimoto
!
#ifndef FFT_GRID_MACROS

#define FFT_A1D_DEFSZ(var,n) var(2,n)
#define FFT_A1D_RL(var,ind) var(1,ind)
#define FFT_A1D_IM(var,ind) var(2,ind)
#define FFT_A1M_DEFSZ(var,n,m) var(2,n,m)
#define FFT_A1M_RL(var,ind1,inda) var(1,ind1,inda)
#define FFT_A1M_IM(var,ind1,inda) var(2,ind1,inda)
#define FFT_A3D_DEFSZ(var,n1,n2,n3) var(2,n1,n2,n3)
#define FFT_A3D_RL(var,ind1,ind2,ind3) var(1,ind1,ind2,ind3)
#define FFT_A3D_IM(var,ind1,ind2,ind3) var(2,ind1,ind2,ind3)
#define FFT_A3M_DEFSZ(var,n1,n2,n3,m) var(2,n1,n2,n3,m)
#define FFT_A3M_RL(var,ind1,ind2,ind3,inda) var(1,ind1,ind2,ind3,inda)
#define FFT_A3M_IM(var,ind1,ind2,ind3,inda) var(2,ind1,ind2,ind3,inda)

#define FFT_PAD_NX(n) (((n+1)/4)*4+2)
#define FFT_PAD_NY(n) (((n+1)/4)*4+2)
#define FFT_PAD_NZ(n) (((n+1)/4)*4+2)

#define FFT_GRID_MACROS

#endif
