/*****************************************************************************
*
* giounit: gfortran utility for file and logical unit assginment
*
* Copyright (C) 2013-2014 by Synge Todo <wistaria@comp-phys.org>
*
* Distributed under the Boost Software License, Version 1.0. (See accompanying
* file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)
*
*****************************************************************************/

#include "giounit.hpp"

GIOUNIT_OPEN(10)
GIOUNIT_OPEN_UNFORMATTED(11)
GIOUNIT_OPEN_UNFORMATTED(13)
GIOUNIT_OPEN_UNFORMATTED(14)
GIOUNIT_OPEN_UNFORMATTED(15)
GIOUNIT_OPEN_UNFORMATTED(16)
GIOUNIT_OPEN(18)
GIOUNIT_OPEN_UNFORMATTED(21)
GIOUNIT_OPEN_UNFORMATTED(22)
GIOUNIT_OPEN_UNFORMATTED(25)

/* atomic charge of the pseudo-potential. */
GIOUNIT_OPEN(28)
GIOUNIT_OPEN(29)
GIOUNIT_OPEN(30)
GIOUNIT_OPEN(31)
GIOUNIT_OPEN(32)
GIOUNIT_OPEN(33)

/* pseudo-potential */
GIOUNIT_OPEN(34)
GIOUNIT_OPEN(35)
GIOUNIT_OPEN(36)
GIOUNIT_OPEN(37)
GIOUNIT_OPEN(38)
GIOUNIT_OPEN(39)

GIOUNIT_OPEN_UNFORMATTED(40)
GIOUNIT_OPEN(50)
GIOUNIT_OPEN_UNFORMATTED(51)
GIOUNIT_OPEN(55)
GIOUNIT_OPEN_UNFORMATTED(58)
GIOUNIT_OPEN_UNFORMATTED(70)
GIOUNIT_OPEN_UNFORMATTED(71)
GIOUNIT_OPEN_UNFORMATTED(72)
GIOUNIT_OPEN_UNFORMATTED(73)
GIOUNIT_OPEN_UNFORMATTED(74)
GIOUNIT_OPEN_UNFORMATTED(75)
GIOUNIT_OPEN_UNFORMATTED(95)
GIOUNIT_OPEN_UNFORMATTED(96)
GIOUNIT_OPEN(99)
